<?php

function automotive_services_footer( $wp_customize ) {
	$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	// Footer Panel // 
	$wp_customize->add_panel( 
		'automotive_services_footer_section', 
		array(
			'priority'      => 34,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Footer Options', 'automotive-services'),
		) 
	);

	// Footer Widgets // 
	$wp_customize->add_section(
        'automotive_services_footer_top',
        array(
            'title' 		=> __('Footer Widgets','automotive-services'),
			'panel'  		=> 'automotive_services_footer_section',
			'priority'      => 3,
		)
    );

    // Footer Widgets Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'automotive_services_footer_widgets_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'automotive_services_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'automotive_services_footer_widgets_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Footer Widgets', 'automotive-services' ),
			'section'     => 'automotive_services_footer_top',
			'settings'    => 'automotive_services_footer_widgets_setting',
			'type'        => 'checkbox'
		) 
	);

	// Footer Background Image Setting
	$wp_customize->add_setting('automotive_services_footer_bg_image',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'automotive_services_footer_bg_image',array(
	'label' => __('Footer Background Image','automotive-services'),
	'section' => 'automotive_services_footer_top'
	)));

	// Footer Background Image Opacity
	$wp_customize->add_setting('automotive_services_footer_bg_image_opacity', array(
		'default'           => 50,
		'sanitize_callback' => 'absint',
		'capability'        => 'edit_theme_options',
	));

	$wp_customize->add_control('automotive_services_footer_bg_image_opacity', array(
		'label'    => __('Footer Background Image Opacity (%)', 'automotive-services'),
		'section'  => 'automotive_services_footer_top',
		'type'     => 'range',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		),
	));

	// Footer Background Color Setting
    $wp_customize->add_setting('automotive_services_footer_bg_color',array(
		'default' => '#000000',
		'sanitize_callback' => 'sanitize_hex_color',
		'capability' => 'edit_theme_options',
	));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'automotive_services_footer_bg_color',array(
		'label' => esc_html__('Footer Background Color', 'automotive-services'),
		'section' => 'automotive_services_footer_top', // Adjust section if needed
		'settings' => 'automotive_services_footer_bg_color',
	)));

	$wp_customize->add_setting( 'automotive_services_upgrade_page_settings11',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Automotive_Services_Control_Upgrade(
		$wp_customize, 'automotive_services_upgrade_page_settings11',
			array(
				'priority'      => 200,
				'section'       => 'automotive_services_footer_top',
				'settings'      => 'automotive_services_upgrade_page_settings11',
				'label'         => __( 'Automotive Services Pro comes with additional features.', 'automotive-services' ),
				'choices'       => array( __( '15+ Ready-Made Sections', 'automotive-services' ), __( 'One-Click Demo Import', 'automotive-services' ), __( 'WooCommerce Integrated', 'automotive-services' ), __( 'Drag & Drop Section Reordering', 'automotive-services' ),__( 'Advanced Typography Control', 'automotive-services' ),__( 'Intuitive Customization Options', 'automotive-services' ),__( '24/7 Support', 'automotive-services' ), )
			)
		)
	); 

	// Footer Bottom // 
	$wp_customize->add_section(
        'automotive_services_footer_bottom',
        array(
            'title' 		=> __('Footer Bottom','automotive-services'),
			'panel'  		=> 'automotive_services_footer_section',
			'priority'      => 3,
		)
    );

	// Site Title Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'automotive_services_footer_copyright_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'automotive_services_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'automotive_services_footer_copyright_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Footer Copytight', 'automotive-services' ),
			'section'     => 'automotive_services_footer_bottom',
			'settings'    => 'automotive_services_footer_copyright_setting',
			'type'        => 'checkbox'
		) 
	);
	
	// Footer Copyright 
	$wp_customize->add_setting(
    	'automotive_services_footer_copyright',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);

	$wp_customize->add_control( 
		'automotive_services_footer_copyright',
		array(
		    'label'   		=> __('Edit Copyright Text','automotive-services'),
		    'section'		=> 'automotive_services_footer_bottom',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);
	
	$wp_customize->add_setting( 'automotive_services_copyright_alignment', array(
        'default'   => 'center',
        'sanitize_callback' => 'automotive_services_sanitize_copyright_position',
    ));

    $wp_customize->add_control( 'automotive_services_copyright_alignment', array(
        'label'    => __( 'Copyright Position', 'automotive-services' ),
        'section'  => 'automotive_services_footer_bottom',
        'settings' => 'automotive_services_copyright_alignment',
        'type'     => 'radio',
        'choices'  => array(
            'right' => __( 'Right Align', 'automotive-services' ),
            'left'  => __( 'Left Align', 'automotive-services' ),
            'center'  => __( 'Center Align', 'automotive-services' ),
        ),
    ));

	$wp_customize->add_setting( 'automotive_services_upgrade_page_settings__11',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Automotive_Services_Control_Upgrade(
		$wp_customize, 'automotive_services_upgrade_page_settings__11',
			array(
				'priority'      => 200,
				'section'       => 'automotive_services_footer_bottom',
				'settings'      => 'automotive_services_upgrade_page_settings__11',
				'label'         => __( 'Automotive Services Pro comes with additional features.', 'automotive-services' ),
				'choices'       => array( __( '15+ Ready-Made Sections', 'automotive-services' ), __( 'One-Click Demo Import', 'automotive-services' ), __( 'WooCommerce Integrated', 'automotive-services' ), __( 'Drag & Drop Section Reordering', 'automotive-services' ),__( 'Advanced Typography Control', 'automotive-services' ),__( 'Intuitive Customization Options', 'automotive-services' ),__( '24/7 Support', 'automotive-services' ), )
			)
		)
	); 

}
add_action( 'customize_register', 'automotive_services_footer' );

// Footer selective refresh
function automotive_services_footer_partials( $wp_customize ){
	// footer_copyright
	$wp_customize->selective_refresh->add_partial( 'footer_copyright', array(
		'selector'            => '.copy-right .copyright-text',
		'settings'            => 'footer_copyright',
		'render_callback'  => 'automotive_services_footer_copyright_render_callback',
	) );
}
add_action( 'customize_register', 'automotive_services_footer_partials' );

// copyright_content
function automotive_services_footer_copyright_render_callback() {
	return get_theme_mod( 'footer_copyright' );
}